commit ad5406246b
Author: Bruce Momjian <bruce@momjian.us>
Date:   Wed May 24 09:54:34 2023 -0400

    doc: PG 16 relnotes, merge and move vector items
    
    Reported-by: John Naylor
    
    Discussion: https://postgr.es/m/CAFBsxsEPg8L2MmGqavc8JByC=WF_Mnkhn-KKnFPkcqh0hydung@mail.gmail.com

diff --git a/doc/src/sgml/release-16.sgml b/doc/src/sgml/release-16.sgml
index c30c530065..bb92fe5cf9 100644
--- a/doc/src/sgml/release-16.sgml
+++ b/doc/src/sgml/release-16.sgml
@@ -472,6 +472,28 @@ Author: David Rowley <drowley@postgresql.org>
 <para>
 Improve the speed of updating the process title (David Rowley)
 </para>
+</listitem>
+
+<!--
+Author: John Naylor <john.naylor@postgresql.org>
+2022-08-11 [37a6e5df3] Optimize xid/subxid searches in XidInMVCCSnapshot().
+Author: John Naylor <john.naylor@postgresql.org>
+2022-08-26 [121d2d3d7] Use SSE2 in is_valid_ascii() where available.
+Author: John Naylor <john.naylor@postgresql.org>
+2022-08-10 [b6ef16756] Introduce optimized routine for linear searches of array
+Author: John Naylor <john.naylor@postgresql.org>
+2022-08-26 [e813e0e16] Add optimized functions for linear search within byte ar
+-->
+
+<listitem>
+<para>
+Allow xid/subxid searches and ASCII string detection to use vector operations (Nathan Bossart)
+</para>
+
+<para>
+ASCII detection is particularly useful for COPY FROM.  Vector operations are also used for some C array searches.
+</para>
+
 </listitem>
 
      </itemizedlist>
@@ -1781,6 +1803,17 @@ The IS JSON checks include checks for values, arrays, objects, scalars, and uniq
 </para>
 </listitem>
 
+<!--
+Author: John Naylor <john.naylor@postgresql.org>
+2022-09-02 [0a8de93a4] Speed up lexing of long JSON strings
+-->
+
+<listitem>
+<para>
+Allow JSON string parsing to use vector operations (John Naylor)
+</para>
+</listitem>
+
 <!--
 Author: Tom Lane <tgl@sss.pgh.pa.us>
 2023-01-19 [5a617d75d] Fix ts_headline() to handle ORs and phrase queries more 
@@ -2523,56 +2556,6 @@ Add support for Advanced SIMD (Single Instruction Multiple Data) (NEON) instruct
 </para>
 </listitem>
 
-<!--
-Author: John Naylor <john.naylor@postgresql.org>
-2022-08-26 [121d2d3d7] Use SSE2 in is_valid_ascii() where available.
--->
-
-<listitem>
-<para>
-Allow ASCII string detection to use vector operations (John Naylor)
-</para>
-</listitem>
-
-<!--
-Author: John Naylor <john.naylor@postgresql.org>
-2022-09-02 [0a8de93a4] Speed up lexing of long JSON strings
--->
-
-<listitem>
-<para>
-Allow JSON string parsing to use vector operations (John Naylor)
-</para>
-
-<para>
-ARM?
-</para>
-</listitem>
-
-<!--
-Author: John Naylor <john.naylor@postgresql.org>
-2022-08-10 [b6ef16756] Introduce optimized routine for linear searches of array
-Author: John Naylor <john.naylor@postgresql.org>
-2022-08-26 [e813e0e16] Add optimized functions for linear search within byte ar
--->
-
-<listitem>
-<para>
-Allow array searches to use vector operations (John Naylor)
-</para>
-</listitem>
-
-<!--
-Author: John Naylor <john.naylor@postgresql.org>
-2022-08-11 [37a6e5df3] Optimize xid/subxid searches in XidInMVCCSnapshot().
--->
-
-<listitem>
-<para>
-Allow xid/subxid searches to use vector operations (Nathan Bossart)
-</para>
-</listitem>
-
 <!--
 Author: Michael Paquier <michael@paquier.xyz>
 2022-08-28 [36389a060] Enable RandomizedBaseAddress (ASLR) on Windows with MSVC
